Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkcs10
Class CertificationRequestInfo

    java.lang.Object
      |
      +--org.mozilla.jss.pkcs10.CertificationRequestInfo

All Implemented Interfaces:
  ASN1Value

public class CertificationRequestInfo
extends java.lang.Object
implements ASN1Value

A TBSCertificationRequest (to-be-signed CertificationRequest), the actual information in a CertificationRequest apart from the signature.

Nested Class Summary
`static class` | `CertificationRequestInfo.Template` Template class for decoding a CertificationRequestInfo.

Constructor Summary
`CertificationRequestInfo(INTEGER version, Name subject, SubjectPublicKeyInfo subjectPublicKeyInfo, SET attributes)` Creates a CertificationRequestInfo with the required fields.

Method Summary
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag implicitTag, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`SET` | `getAttributes()`
`Name` | `getSubject()`
`SubjectPublicKeyInfo` | `getSubjectPublicKeyInfo()`
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`static CertificationRequestInfo.Template` | `getTemplate()`
`INTEGER` | `getVersion()`
`void` | `print(java.io.PrintStream ps)`
`void` | `setAttributes(SET attributes)`
`void` | `setSubject(Name subject)`
`void` | `setSubjectPublicKeyInfo(java.security.PublicKey pubk)` Extracts the SubjectPublicKeyInfo from the given public key and stores it in the CertificationRequestInfo.
`void` | `setSubjectPublicKeyInfo(SubjectPublicKeyInfo subjectPublicKeyInfo)`
`void` | `setVersion(INTEGER version)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CertificationRequestInfo

    public CertificationRequestInfo(INTEGER version,
                                    Name subject,
                                    SubjectPublicKeyInfo subjectPublicKeyInfo,
                                    SET attributes)

  Creates a CertificationRequestInfo with the required fields.

Method Detail

### setVersion

    public void setVersion(INTEGER version)

### getVersion

    public INTEGER getVersion()

### setSubject

    public void setSubject(Name subject)

### getSubject

    public Name getSubject()

### setSubjectPublicKeyInfo

    public void setSubjectPublicKeyInfo(SubjectPublicKeyInfo subjectPublicKeyInfo)

### setSubjectPublicKeyInfo

    public void setSubjectPublicKeyInfo(java.security.PublicKey pubk)
                                 throws InvalidBERException,
                                        java.io.IOException

  Extracts the SubjectPublicKeyInfo from the given public key and stores it in the CertificationRequestInfo.

  Throws:
    `InvalidBERException` - If an error occurs decoding the the information extracted from the public key.
    `java.io.IOException`

### getSubjectPublicKeyInfo

    public SubjectPublicKeyInfo getSubjectPublicKeyInfo()

### setAttributes

    public void setAttributes(SET attributes)

### getAttributes

    public SET getAttributes()

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.

  Specified by:
    `getTag` in interface `ASN1Value`

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using its own base tag.

  Specified by:
    `encode` in interface `ASN1Value`
    `java.io.IOException`

### encode

    public void encode(Tag implicitTag,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using an implicit tag.

  Specified by:
    `encode` in interface `ASN1Value`
    `java.io.IOException`

### getTemplate

    public static CertificationRequestInfo.Template getTemplate()

### print

    public void print(java.io.PrintStream ps)
               throws java.io.IOException,
                      InvalidBERException

    `java.io.IOException`
    `InvalidBERException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD